MagenMagen Docs

通过 QR Code 提现

POST
/withdraw/qrcode

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.magen.processamento.com/v1/withdraw/qrcode" \  -H "Content-Type: application/json" \  -d '{    "qrCode": "00020101021226770014br.gov.bcb.pix2555api.magen/pix/qr/v2/013318d6-2d7d-479e-8bb3-b5c7b9da688c5204000053039865802BR5916MAGEN 6007SAOPAULO6217051320260118278956304EC55"  }'

{
  "id": "MAGEN202511061998787515D0PH2Y",
  "status": "PENDING",
  "amount": 20,
  "type": "WITHDRAW",
  "callbackUrl": "https://bright-lightning-66.webhook.cool",
  "qrCodeText": null,
  "qrCodeBase64": null,
  "qrCodeUrl": null,
  "generatedName": null,
  "generatedDocument": null,
  "generatedEmail": null,
  "serviceFeeCharged": 1,
  "payerName": null,
  "payerDocument": null,
  "payerInstitutionIspb": null,
  "payerInstitutionName": null,
  "payerAccountNumber": "513579",
  "withdrawPixKey": "88888888888",
  "withdrawPixType": "cpf",
  "receiverName": null,
  "receiverDocument": null,
  "receiverInstitutionIspb": null,
  "receiverInstitutionName": null,
  "receiverAccountNumber": null,
  "endToEndId": null,
  "createdAt": "2025-11-06T19:08:55.848Z",
  "updatedAt": "2025-11-06T19:08:55.848Z",
  "paidAt": null,
  "clientReference": "order-123",
  "refundEndToEndId": null,
  "refundAmount": null,
  "refundStatus": null,
  "refundReason": null,
  "refundDescription": null,
  "refundedAt": null,
  "cancellationReason": null
}

{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}